Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1486510 - Review Request: golang-github-bgentry-go-netrc - netrc file parser for Go programming language
Summary: Review Request: golang-github-bgentry-go-netrc - netrc file parser for Go pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1336164 (view as bug list)
Depends On:
Blocks: 1336168 1487430
TreeView+ depends on / blocked
 
Reported: 2017-08-30 00:42 UTC by Elliott Sales de Andrade
Modified: 2017-09-30 06:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 00:22:49 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-08-30 00:42:00 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/git-lfs/fedora-rawhide-x86_64/00591456-golang-github-bgentry-go-netrc/golang-github-bgentry-go-netrc.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/git-lfs/fedora-rawhide-x86_64/00591456-golang-github-bgentry-go-netrc/golang-github-bgentry-go-netrc-0-0.2.git9fd32a8.fc27.src.rpm
Description: A Golang package for reading and writing netrc files. This package can parse
netrc files, make changes to them, and then serialize them back to netrc
format, while preserving any whitespace that was present in the source file.
Fedora Account System Username: qulogic

Comment 1 Robert-André Mauchin 2017-08-30 18:34:03 UTC
Hello,


As per Fedora Versioning Guidelines (https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots), you need to add the commit date of the git snapshot:

%global commitdate      20140422

  Then:

Release:        0.2.%{commitdate}git%{shortcommit}%{?dist}

  And:

* Fri Aug 18 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0-0.2.20140422git9fd32a8



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/golang-github-bgentry-go-netrc/review-
     golang-github-bgentry-go-netrc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com/bgentry(golang-github-bgentry-
     speakeasy-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-bgentry-go-netrc-devel , golang-github-bgentry-go-netrc-unit-
     test-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: golang-github-bgentry-go-netrc-devel-0-0.2.git9fd32a8.fc28.noarch.rpm
          golang-github-bgentry-go-netrc-unit-test-devel-0-0.2.git9fd32a8.fc28.x86_64.rpm
          golang-github-bgentry-go-netrc-0-0.2.git9fd32a8.fc28.src.rpm
golang-github-bgentry-go-netrc-devel.noarch: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
golang-github-bgentry-go-netrc-unit-test-devel.x86_64: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
golang-github-bgentry-go-netrc.src: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Elliott Sales de Andrade 2017-08-31 03:04:32 UTC
Fixed.

Spec URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/git-lfs/fedora-rawhide-x86_64/00596031-golang-github-bgentry-go-netrc/golang-github-bgentry-go-netrc.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/git-lfs/fedora-rawhide-x86_64/00596031-golang-github-bgentry-go-netrc/golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc28.src.rpm
Description: A Golang package for reading and writing netrc files. This package can parse
netrc files, make changes to them, and then serialize them back to netrc
format, while preserving any whitespace that was present in the source file.
Fedora Account System Username: qulogic

Comment 3 Elliott Sales de Andrade 2017-08-31 03:05:37 UTC
*** Bug 1336164 has been marked as a duplicate of this bug. ***

Comment 4 Robert-André Mauchin 2017-08-31 06:35:56 UTC
Package accepted.

Comment 5 Gwyn Ciesla 2017-08-31 11:10:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-bgentry-go-netrc

Comment 6 Fedora Update System 2017-09-03 00:48:25 UTC
golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c5796e0629

Comment 7 Fedora Update System 2017-09-03 00:48:56 UTC
golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3999fcbbac

Comment 8 Fedora Update System 2017-09-03 19:55:55 UTC
golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3999fcbbac

Comment 9 Fedora Update System 2017-09-04 06:51:33 UTC
golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c5796e0629

Comment 10 Fedora Update System 2017-09-12 00:22:49 UTC
golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-30 06:13:56 UTC
golang-github-bgentry-go-netrc-0-0.3.20140422git9fd32a8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.